> For the complete documentation index, see [llms.txt](https://docs.debricked.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.debricked.com/product/license-risk-management/set-up-a-use-case/set-up-a-use-case-using-the-api.md).

# Set up a use case using API

Learn how to set up a use case for your repositories using the API.

The first time you visit the License view; you willl notice that the value in the risk column is set to *Unknown* for all licenses. This is because you have not yet configured any use cases for your repositories. You can select a use case through the API using the endpoint:

```
/api/{version}/open/repository-settings/repositories/{repositoryId}/select-use-case
```

To do so, send a JSON containing a choice of the use case, for example:

```
"useCase": 2
```

Here, the *useCase* can be one of the following integers:&#x20;

* 0/null - Unknown
* 1 - Non-distributed internal
* 2 - Non-distributed public
* 3 - Distributed generic
* 4 - Distributed electronics

Here’s an example showing you how to set the use case to “Non-distributed public” for a repository with ID = 1337:

```
curl -X 'POST' \  'https://debricked.com/api/1.0/open/repository-settings/repositories/1337/select-use-case' \  -H 'accept: */*' \  -H 'Authorization: Bearer <token> \  -H 'Content-Type: application/json' \  -d '{ "useCase": 2 }'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.debricked.com/product/license-risk-management/set-up-a-use-case/set-up-a-use-case-using-the-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
